GNU bug report logs - #21162
adapting octave-inf.el to Octave 4

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Francesco Potortì <pot@HIDDEN>; merged with #21150, #21163; dated Thu, 30 Jul 2015 17:23:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 21162 <at> debbugs.gnu.org:


Received: (at 21162) by debbugs.gnu.org; 31 Jul 2015 15:40:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 31 11:40:24 2015
Received: from localhost ([127.0.0.1]:35960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZLCQ4-0008DP-2t
	for submit <at> debbugs.gnu.org; Fri, 31 Jul 2015 11:40:24 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47225)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1ZLCQ2-0008DI-DH
 for 21162 <at> debbugs.gnu.org; Fri, 31 Jul 2015 11:40:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1ZLCPw-0007XJ-Hw
 for 21162 <at> debbugs.gnu.org; Fri, 31 Jul 2015 11:40:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.4 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40525)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1ZLCOu-0006pt-1o; Fri, 31 Jul 2015 11:39:12 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1ZLCOs-0000D1-QK; Fri, 31 Jul 2015 11:39:10 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Francesco =?utf-8?Q?Potort=C3=AC?= <pot@HIDDEN>
Subject: Re: bug#21162: adapting octave-inf.el to Octave 4
References: <E1ZKrXZ-0007Io-DV@HIDDEN>
 <v2bnes6cxm.fsf@HIDDEN>
 <E1ZL6Zl-0002nR-TE@HIDDEN>
X-Spook: Watch top secret BATF First responder MD4 Lockdown
X-Ran: MX>j*F)N3s_i-`kUGJI}/sc|B@FJDIoV^8T*j=ml`FU+r4yD#)[c"8H?:}`g`a|"zXk6{?
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 31 Jul 2015 11:39:10 -0400
In-Reply-To: <E1ZL6Zl-0002nR-TE@HIDDEN> ("Francesco
 \=\?utf-8\?Q\?Potort\=C3\=AC\=22's\?\=
 message of "Fri, 31 Jul 2015 11:26:01 +0200")
Message-ID: <n0twsk49r5.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 21162
Cc: stephen@HIDDEN, Kurt.Hornik@HIDDEN, 21162 <at> debbugs.gnu.org,
 "John W. Eaton" <jwe@HIDDEN>, Mike Miller <mtmiller@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

Francesco Potort=C3=AC wrote:

> --no-line-editing serves no apparent purpose (any more?) and prevents an
> inferior Octave process from using readline features, like getting the
> terminal width and other functions used for the FLTK graphical backend.

vc-annotate is your friend, and shows that this was added in:

commit 48495f0fd6afc6aa45f87116552629df39268336
Author: Stephen Eglen <stephen@HIDDEN>
Date:   Mon Sep 6 19:20:29 1999 +0000

    add --no-line-editing to inferior-octave-startup-args so that TABs
    in source files are not interpreted as completion requests.

I don't use Octave myself, so I have no idea if this is still relevant.
If you know it isn't, I suggest you feel free to commit this.
Please bump the defcustom's :version tag (to 25.1) if you do,
and then close this bug. Thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21162; Package emacs. Full text available.
Merged 21150 21162 21163. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21162 <at> debbugs.gnu.org:


Received: (at 21162) by debbugs.gnu.org; 31 Jul 2015 09:26:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 31 05:26:06 2015
Received: from localhost ([127.0.0.1]:35378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZL6Zq-0004fw-6S
	for submit <at> debbugs.gnu.org; Fri, 31 Jul 2015 05:26:06 -0400
Received: from blade3.isti.cnr.it ([194.119.192.19]:19836)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pot@HIDDEN>) id 1ZL6Zo-0004fn-Lb
 for 21162 <at> debbugs.gnu.org; Fri, 31 Jul 2015 05:26:05 -0400
Received: from tucano.isti.cnr.it ([146.48.81.102])
 by mx.isti.cnr.it (PMDF V6.5-x6 #32097)
 with ESMTPSA id <01POZN0SCZ3U9VUXP1@HIDDEN> for 21162 <at> debbugs.gnu.org; 
 Fri, 31 Jul 2015 11:26:01 +0200 (MEST)
Received: from pot by tucano.isti.cnr.it with local (Exim 4.86_RC5)
 (envelope-from <pot@HIDDEN>)	id 1ZL6Zl-0002nR-TE; Fri,
 31 Jul 2015 11:26:01 +0200
Date: Fri, 31 Jul 2015 11:26:01 +0200
From: Francesco =?utf-8?Q?Potort=C3=AC?= <pot@HIDDEN>
Subject: Re: bug#21162: adapting octave-inf.el to Octave 4
In-reply-to: <v2bnes6cxm.fsf@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Message-id: <E1ZL6Zl-0002nR-TE@HIDDEN>
Organization: 
X-INSM-ip-source: 146.48.81.102 Auth Done
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
References: <E1ZKrXZ-0007Io-DV@HIDDEN>
 <v2bnes6cxm.fsf@HIDDEN>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 21162
Cc: Kurt.Hornik@HIDDEN, 21162 <at> debbugs.gnu.org,
 "John W. Eaton" <jwe@HIDDEN>, Mike Miller <mtmiller@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

>> The following patch does two things:
>>
>> 1) it removes the --no-line-editing option when calling the Octave
>>    process, for reasons that I explained in my previous bug report about
>>    octave-inf.el
>>
>> 2) it adds the --no-gui option when calling Octave if its version is
>>    different from 3: this is needed because the last (and future,
>>    probably) Octave versions launch a GUI by default
>
>There is no file "octave-inf.el" in Emacs for some time,
>and "inferior-octave-startup" has contained code to call "--no-gui" for
>the past two years, so please review the situation in current Emacs
>master and send a revised patch, if one is still needed. Thanks.

Sorry, I live behind the times :)

With the newest version, it's easier: just remove the --no-line-editing
option from the initialization of inferior-octave-startup-args:

--- octave.el.old	2015-07-31 11:19:50.203406678 +0200
+++ octave.el.new	2015-07-31 11:19:55.647504953 +0200
@@ -641,7 +641,7 @@
   :group 'octave
   :version "24.4")
 
-(defcustom inferior-octave-startup-args '("-i" "--no-line-editing")
+(defcustom inferior-octave-startup-args '("-i")
   "List of command line arguments for the inferior Octave process.
 For example, for suppressing the startup message and using `traditional'
 mode, include \"-q\" and \"--traditional\"."


Reason for changelog entry:

--no-line-editing serves no apparent purpose (any more?) and prevents an
inferior Octave process from using readline features, like getting the
terminal width and other functions used for the FLTK graphical backend.

Thanks




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21162; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 21162 21163. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21162 <at> debbugs.gnu.org:


Received: (at 21162) by debbugs.gnu.org; 31 Jul 2015 06:47:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 31 02:47:53 2015
Received: from localhost ([127.0.0.1]:35360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZL46h-0007wT-Pn
	for submit <at> debbugs.gnu.org; Fri, 31 Jul 2015 02:47:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53383)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1ZL46f-0007wL-6A
 for 21162 <at> debbugs.gnu.org; Fri, 31 Jul 2015 02:47:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1ZL46c-0004pn-4O
 for 21162 <at> debbugs.gnu.org; Fri, 31 Jul 2015 02:47:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50638)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1ZL46R-0004fx-5j; Fri, 31 Jul 2015 02:47:35 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1ZL46P-0000D7-GD; Fri, 31 Jul 2015 02:47:33 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Francesco =?utf-8?Q?Potort=C3=AC?= <pot@HIDDEN>
Subject: Re: bug#21162: adapting octave-inf.el to Octave 4
References: <E1ZKrXZ-0007Io-DV@HIDDEN>
X-Spook: USDOJ insurgency Indigo Drug trade Delays State of
X-Ran: -e)|K!]'QK*lavuRaR3,w@p?3@9_\F/a&m{~RA+1yCeu,}w9PAbg5"H>2c!<f-=2ci!8o'
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 31 Jul 2015 02:47:33 -0400
In-Reply-To: <E1ZKrXZ-0007Io-DV@HIDDEN> ("Francesco
 \=\?utf-8\?Q\?Potort\=C3\=AC\=22's\?\=
 message of "Thu, 30 Jul 2015 19:22:45 +0200")
Message-ID: <v2bnes6cxm.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 21162
Cc: Kurt.Hornik@HIDDEN, 21162 <at> debbugs.gnu.org,
 "John W. Eaton" <jwe@HIDDEN>, Mike Miller <mtmiller@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

Francesco Potort=C3=AC wrote:

> The following patch does two things:
>
> 1) it removes the --no-line-editing option when calling the Octave
>    process, for reasons that I explained in my previous bug report about
>    octave-inf.el
>
> 2) it adds the --no-gui option when calling Octave if its version is
>    different from 3: this is needed because the last (and future,
>    probably) Octave versions launch a GUI by default

There is no file "octave-inf.el" in Emacs for some time,
and "inferior-octave-startup" has contained code to call "--no-gui" for
the past two years, so please review the situation in current Emacs
master and send a revised patch, if one is still needed. Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21162; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2015 17:23:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 30 13:23:00 2015
Received: from localhost ([127.0.0.1]:35015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZKrXo-0006LC-7j
	for submit <at> debbugs.gnu.org; Thu, 30 Jul 2015 13:23:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59017)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <pot@HIDDEN>) id 1ZKrXm-0006L5-8M
 for submit <at> debbugs.gnu.org; Thu, 30 Jul 2015 13:22:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pot@HIDDEN>) id 1ZKrXl-0007Wh-7U
 for submit <at> debbugs.gnu.org; Thu, 30 Jul 2015 13:22:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.4 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59819)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <pot@HIDDEN>)
 id 1ZKrXl-0007Wd-4r
 for submit <at> debbugs.gnu.org; Thu, 30 Jul 2015 13:22:57 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44274)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <pot@HIDDEN>)
 id 1ZKrXh-0003DH-8N
 for bug-gnu-emacs@HIDDEN; Thu, 30 Jul 2015 13:22:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pot@HIDDEN>) id 1ZKrXc-0007Se-N1
 for bug-gnu-emacs@HIDDEN; Thu, 30 Jul 2015 13:22:53 -0400
Received: from blade3.isti.cnr.it ([194.119.192.19]:4134)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <pot@HIDDEN>)
 id 1ZKrXc-0007S4-GH
 for bug-gnu-emacs@HIDDEN; Thu, 30 Jul 2015 13:22:48 -0400
Received: from tucano.isti.cnr.it ([146.48.81.102])
 by mx.isti.cnr.it (PMDF V6.5-x6 #32097)
 with ESMTPSA id <01POYPDI5P6O9VUM1J@HIDDEN> for bug-gnu-emacs@HIDDEN; 
 Thu, 30 Jul 2015 19:22:45 +0200 (MEST)
Received: from pot by tucano.isti.cnr.it with local (Exim 4.86_RC5)
 (envelope-from <pot@HIDDEN>)	id 1ZKrXZ-0007Io-DV; Thu,
 30 Jul 2015 19:22:45 +0200
Date: Thu, 30 Jul 2015 19:22:45 +0200
From: Francesco =?utf-8?Q?Potort=C3=AC?= <pot@HIDDEN>
Subject: adapting octave-inf.el to Octave 4
To: bug-gnu-emacs@HIDDEN
To: Kurt Hornik <Kurt.Hornik@HIDDEN>
Message-id: <E1ZKrXZ-0007Io-DV@HIDDEN>
Organization: 
X-INSM-ip-source: 146.48.81.102 Auth Done
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: submit
Cc: "John W. Eaton" <jwe@HIDDEN>, Mike Miller <mtmiller@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

The following patch does two things:

1) it removes the --no-line-editing option when calling the Octave
   process, for reasons that I explained in my previous bug report about
   octave-inf.el

2) it adds the --no-gui option when calling Octave if its version is
   different from 3: this is needed because the last (and future,
   probably) Octave versions launch a GUI by default

--- /dev/fd/63	2015-07-30 19:21:16.227231663 +0200
+++ octave-inf.el	2015-07-30 19:13:13.678557317 +0200
@@ -193,12 +193,16 @@
 
 (defun inferior-octave-startup ()
   "Start an inferior Octave process."
-  (let ((proc (comint-exec-1
-	       (substring inferior-octave-buffer 1 -1)
-	       inferior-octave-buffer
-	       inferior-octave-program
-	       (append (list "-i" "--no-line-editing")
-		       inferior-octave-startup-args))))
+  (let* ((octave-version-string (shell-command-to-string
+				 (concat inferior-octave-program " --version")))
+	 (octave-gui (not (string-match "version 3" octave-version-string)))
+	 (proc (comint-exec-1
+		(substring inferior-octave-buffer 1 -1)
+		inferior-octave-buffer
+		inferior-octave-program
+		(append (list "-i")
+			(when octave-gui (list "--no-gui"))
+			inferior-octave-startup-args))))
     (set-process-filter proc 'inferior-octave-output-digest)
     (setq comint-ptyp process-connection-type
 	  inferior-octave-process proc




Acknowledgement sent to Francesco Potortì <pot@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21162; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Jul 2015 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.